Part Tube: Difference between revisions

From FreeCAD Documentation
(Added Scripting section)
(Wiki code.)
Line 53: Line 53:
** '''Label:''' The Label is the name given to the operation. This name can be changed at your convenience.
** '''Label:''' The Label is the name given to the operation. This name can be changed at your convenience.


==Scripting==
== Scripting ==

The Tube command can by used in [[Macros|macros]] and from the python console using the following function:
A Part Tube can be created using the following function:

</translate>
{{Code|code=
{{Code|code=
FreeCAD.ActiveDocument.addObject("Part::Tube", "myTube")
FreeCAD.ActiveDocument.addObject("Part::Tube", "myTube")
}}
}}
<translate>
* Where "myTube" is the label for the Tube object.

* Returns newly created object of type Tube.
* Where {{Incode|"myTube"}} is the label for the object.
* The function returns the newly created object.



<!--T:11-->
<!--T:11-->

Revision as of 11:43, 4 January 2022

Part Tube

Menu location
Part → Primitives → Create tube
Workbenches
Part
Default shortcut
None
Introduced in version
0.19
See also
Part CreatePrimitives

Description

The Tube command inserts a tube into the active document. The tube is geometrically treated as a cut of a smaller cylinder into a larger one. By default, the command will insert a 10 mm high tube with an outer radius of 5 mm and an inner radius of 2 mm. These parameters can be modified after the object has been added.

Screenshot of a Tube

Usage

To create a tube either:

  • press the Tube button in the toolbar
  • use the menu Part → Primitives → Create tube

To edit the tube

  • either
    • select it in the tree and double-click on it
    • edit the parameters in the appearing dialog
  • or use the the property editor to edit the parameters

Properties

  • Via the Property Editor:
    • Height: Sets the height (default is 10 mm).
    • Inner Radius: Set the inner radius (default is 2 mm).
    • Outer Radius: Set the outer radius (default is 5 mm).
    • Placement: Specifies the orientation and position of the Box in the 3D space. See Placement. The reference point is the left front lower corner of the box.
    • Label: The Label is the name given to the operation. This name can be changed at your convenience.

Scripting

A Part Tube can be created using the following function:

FreeCAD.ActiveDocument.addObject("Part::Tube", "myTube")
  • Where "myTube" is the label for the object.
  • The function returns the newly created object.